import request from "@/utils/request";

// 接口监听列表
export function getTabLog2List(query) {
  return request({
    url: "/web/link/getTabLog2List",
    method: "get",
    params: query,
  });
}

export function getTabLog2DetailListByUrl(query) {
  return request({
    url: "/web/link/getTabLog2DetailListByUrl",
    method: "get",
    params: query,
  });
}

// 日志折线图 最高 平均 最低
export function getTabLinkTitle(query) {
  return request({
    url: "/web/tab-log2/getTabLinkTitle",
    method: "get",
    params: query,
  });
}


// kafka 监听列表
export function getKafkaLogList(query) {
  return request({
    url: "/web/link/getKafkaLogList",
    method: "get",
    params: query,
  });
}

export function getAllJKIndex(data) {
  return request({
    url: "/web/kafkaJK/getAllJKIndex",
    method: "post",
    data: data,
  });
}




// 作业监控列表
export function getDataLogList(query) {
  return request({
    url: "/web/link/getDataLogList",
    method: "get",
    params: query,
  });
}

export function getDatalogDetailByTableEnglishNamee(query) {
  return request({
    url: "/web/link/getDatalogDetailByTableEnglishNamee",
    method: "get",
    params: query,
  });
}

export function getLinkTitle(query) {
  return request({
    url: "/web/tab-datalog/getLinkTitle",
    method: "get",
    params: query,
  });
}

// 库存容量监控列表
export function getSpace(query) {
  return request({
    url: "/web/link/getSpace",
    method: "get",
    params: query,
  });
}

export function getSpaceDetailByFilepath(query) {
  return request({
    url: "/web/link/getSpaceDetailByFilepath",
    method: "get",
    params: query,
  });
}
export function getSystemLinkTitle(query) {
  return request({
    url: "/web/tab-system-space/getLinkTitle",
    method: "get",
    params: query,
  });
}

// 心跳监测列表
export function getTabIpResultList(query) {
    return request({
      url: "/web/link/getTabIpResultList",
      method: "get",
      params: query,
    });
  }